Produkt-History (MAXIMAL VERSION)
=================================

Erklärung:
----------
+ Programmerweiterungen
/ Änderungen
- Problembeseitigung
# SQL-Version
* Modul-Optional

X5.086
======
/ Anpassung an die MDE-App im bereich Inventurvorgang
/ protel-Schnittstelle verbesserung
/ GastroPOS Verbesserungen
/ Anpassung an die EGIS Schnittstelle 2016
/ SEPA Verbesserungen
- diverse verbesserungen

X5.070
======
- Spaltendesigner bei den neuen Grids verbessert
- Schriftprobleme bei den neuen Grids bei selectierten Zeilen verbessert
+ Regel 100 :Vorgangsverfolgung beschleunigen. Hier kann die Vorgangsverfolgung bei großen Datenmengen beschleunigt werden, dies hat aber zur Auswirkung das Mehrfachverknüpfungen von Vorgangsverdichtungen nicht durchsucht werden.


X5.060
======
/ Gutscheinverwaltung verbessert
+ Filterfunktion Sicherheitslücken geschlossen (Berechtigungen konnten hier umgangen werden)
/ Teillieferungsfunktion Bug bei Bedienungsfehler behoben
- Filialabgleich/Businesssync fehlende Pflichtfelder duplizierten Daten (z.B. Ansprechpartner ohne Name+Vorname)
- Vorgangsverfolgung Bug aus X5.05 behoben


X5.050
======
# Komplette SQL-Zugriffe beschleunigt
- MYSQL Zugriff bei extrem großen Datenmengen stark beschleunigt
+ Erweiterung für Ticketsystem incl. automatischer Ticketrechnungserstellung

X5.032
======
/ Inventurmodul: import aus Filialen importiert die Filialinventur 1zu1 wie diese in der Filiale erstellt wurde (Abweichungswerte)

- Banking: mit MYSQL gaben es Probleme bei Termin und Ausführungsdatums suche (Listendarstellung)
- Sammelrechnung hier wurde in X5.031 die Vorgangsnummer als feste 2#te Sortierung aufgenommen, dies führte bei MS-SQL zum Fehlen, wenn die Sortierung schon auf Vorgangsnummer steht
- CRM konnte keine Adresse eingefügt werden, wenn die Suche auf Index frei eingestellt war (ohne * in der Sortierung)


X5.031
======
++ MYSQL Beschleunigt bei großen Datenmengen (Vorgangsliste, Gerätemanger, usw)

+  neues Modul: MDE-Modul unterstützt Pfand bzw. Artikelverknüpfungen (automatische übernahme der Verknüpften Artikel im MDE-Modul)


+ Mehlagerversion: nun direktes Editieren von Mehrlager Mindestbeständen, Meldebeständen und Maximalbeständen in der Artikelbearbeitung (STRG+F)
+ Anpassung an neue Google Maps und Google Route Version für Auswertungsen und Routenplannungen
- Variantenpreisfindung im Einkaufsbereich, wenn der Artikel keinen preis hat und die Lieferatenbeziehung auch ohne Preis ist
- Bestellwesen Variantenpreisfindung siehe oben




X5.026
======
+ neue Schnittstelle zur Waage von Mettler Toledo UC-HTT-M/P
+ neues Modul : Zahlen von Rechnungen an der Kasse

/ Verbesserungen im Kassenbuch (Zählmaske syncon mit Kassenzählstand)
/ Verbesserungen von Zahlungen von Lieferscheinen und Co.
/ Kasse bei freier Preiseingabe verbessert

- Vorgangsanlage aus der Adressmaske kamm bei MYSQL und großen Datenmengen zu Problemen
- in seltenen Fällen wurde die Fenstermaximierung verworfen bei Mausbewegungen im Menü
- Spaltendesigner verbessert
- Auswertungen verbessert


X5.023
======
+ Dokumentenansicht (OLE) verbessert
/ CRM verbessert: Vorgangs+Historyfilter; bei deaktivierter Mehrfachöffnung gab es machmal Probleme die gewählte Adresse anzuzeigen
- aus der Vorgangsschnelliste alle Vorgänge fortführen hat keine Vorgänge abgeschlossen
+ Artikelwarnhinsweis in der normalen Artikelbearbeitung: hier ist die Warnung in der Listenansicht deaktiviert. Dies
  kann nun Arbeitsplatzbezogen via Regeintrag aktiviert werden:
  WINPOS\ARTIKEL hier Zeichenketteneintrag LISTENHINWEIS = 1

  
X5.021
======
- F8 Suche verbessert im Touchbereich
- Varianten Aiistenteneingabe hat eine Eigenschaft verschuckt: gefixt

X5.02
======
+ F8 Suche verbessert: wenn kein Ergebnis da ist kommt ein Hinweis und bei Scannersuche bleibt die Suche offen
/ CRM verbessert (Einfügen direkt in die Bearbeitung), Vorgänge direkt öffnen, usw
- SMS Versand von Sendungsbestätigung verbessert (diese werden im Hintergrund in die nachrichtenschlage gelegt)
+ TouchKasse: bei offenen Betrag (Rechnung bzw. Lieferschein) muss ein Kunde ausgewählt sein
/ Lieferschwellenassistent erweitert
- MYSQL hier kam eine Fehlermeldung, wenn die Datenbankconnection geändert wurde
- Eingabecoursor war in Vorgängen nicht sichtbar, bei Schriftänderungen, dies ist nun gefixt 
- Massendruck von Vorgängen, wenn hier der erste eine Mailrechnung war wurden alle anderen nur mit einer Kopie gedruckt

X5.00
======
+ CRM (Kontaktmanagment) komplett überarbeitet neue Grids, Auswertungen viele neue Funktion
+ Projektverwaltung mit neuen Grid ausgestattet
+ neue Gruppierung: Cash Managment
+ Zalungslisten
+ Freigabestatus
+ Regeln
* Hotelschnittstelle
* Kartensysteme Schnittstelle
+ MDE-Import: Umbuchungsvorgänge nun möglich
+ Shopimport unterstützt nun auch Leiferschwellen ###UST
+ TouchPos: viel Schneller und moderne Optik (neue Buttons)
+ TouchPos: schneller Auswahlfensteranlage incl. Unterwarengruppen
+ TouchPos: Ausfensteranlage Assistent erweitert (Butonreihenfolge)
+ Lieferschwellenerweiterungen
+ Teillieferungsfunktion mit Rückstandverwaltung für varianten nun verfügbar (auch MDE)
+ Sammelrechnung: hier können nun Sammelrechnungen markiert werden, so das diese im Formulardesign anders aussehen können.
+ Sammelrechnung: der Zeitraum der Lieferscheine von bis Auswahl kann in der Sammelrechnung ausgegeben werden: If(TBL_AUFTRAG.Zusatzfeld10=‘Sammel‘,‘Diese Sammelrechnung beinhaltet Lieferscheine vom ‘+TBL_Auftrag.Zusatzfeld11+‘ bis ‘+TBL_Auftrag.Zusatzfeld12)




X4.08
======
- Vorgangsanlage: wenn keine Mehrfachöffnung erlaubt ist ein Vorgang bearbeitet wird (neue Position einfügen) und ein weiterer Vorgangs erzeugt wird
                  kan es zu problemen, wenn die offene Positione nicht gesepichert werden konnte (z.B. unvollständige Artikelnummer)
- Vorgangsfortführung: eigene Vorgangsarten verhalten sich nun wie Systemvorgangsarten
- MYSQL: Suchfunktionen bei Datums ähnlichen Suchbegriffen verbessert


X4.07
======
+ Umsatzzahlen der Adressen können neu berechnet werden (Menü Auswertungen)
+ Kassenbuch GOB gesichert nur noch letzte Buchung ist veränderbar (incl LOG)
+ Kassenbuch gibt bestandswarnung aus, damit es nicht negativ wird
+ Shopimport via SSL untersützt nun viele neue Provider: z.B. gmail
/ Bestellwesen verbessert
- Lagerbuch, wenn hier eine Buchung ohne zu speichern gemacht wurde und dann zwischen den Fenster gewechelt wurde kam es zu einer Fehlermeldung
- Massenversand von Vorgängen aus der Vorgangsliste mit internen Mail Programm gefixt.
- Newsletter / Kontaktassistent: Interner Mailer unterstützt nun auch SSL. Desweiteren sind Probleme mit Anhängen beseitigt
- Artikelliste nach Lieferanten gefixt


X4.06
======
+ ec cash ZVT schnittstelle bei Geräten ohne Drucker Ausdruck verbessert via Kasse verbessert
+ EDI Import erkennt nun Bestellungen, Eingangsrechnung und Lieferantengutschrift
+ MDE Import nun für Zentralbestellung und Zentralretoure vorhanden (wie seit V13.82)
+ Einfache Einstellung Touch-POS Masken:

   Dateiname : TOUCHPOS_MASK.TXT

   Inhalt:

   Objekt -> ACTION               Beispiel: JvXPButton36->Action_ArtikelInfo
   ACTIONNAME == neuer Text       Beispiel: Action_POSAuserhaus==dieser Artikel im Haus 19%

   Einige Sonderfunktionen
 
   UHR=> 			            Schaltet eine Uhr anzeige an
   FLOATZAHL=>                              Floating liegt auf dem "Kunden will zahlen" schalter
   RUECKAUS=>                               Rücknahme ist nicht nehr möglich



X4.05
======
+ Mitarbeiter ohne EK-Recht kann nun die Stückliste bearbeiten
/ Kassenbuch sortierung machte unter neuer MYSQL Version Probleme
+ Titelklicksortierung nun auch im Kassenbuch möglich
+ Durchlaufposten und Teillieferung
+ Trainingsbenutzer für Kassenbetrieb definierbar, diese Kassieren zu Schulungszwecke in Traningsvorgänge mit seperaten Nummernkreis und Auswertungen
+ Intrastat Schnittstelle nun optional erhältlich


X4.04
======
+ Komplette OPOS Integration (optionales Modul): OPOS Drucker, OPOS Schublade und OPOS Display
+ Kassensperrung bei geöffneter Schublade einstellbar
+ Kassenreinigungsmodus (Sperrbildschirm bei Touch)
+ FAX Funktion in der Kasse (Informatinstexte)
+ Auswertungen direkt aus Kassenmaske öffnen (AUSWERTUNG:Name der Auswertung)
+ Kassenberichte auf Mitarbeitergruppen einstellbar
+ Gastro: offene Tische Funktion
+ Gastro: Mobilekassenanbindung mit Autostart durch REGEINTRAG: START -> MOBIL = 1
/ Fortführung in Gutschrift (vormals Wertgutschrift setzt den Status zurück
- Vorgangsliste nun mit Excel und Wordexport
- Projektverwaltung nun mit Excel und Wordexport (auf der Porjekt Vorgangsliste und Kontaktliste werden diese exportiert)
- Verbesserung bei Änderungen in gebuchten Vorgängen (Korrekturbuchungen)
- ELPLay bei kassenschnitt verbessert
- Chargenverwaltung hatte einen Bug bei Komma angaben mit . statt ,
- Kasse: automatische Abmeldung in der Kasse gefixt
- Kasse: letzte Posten Storno läßt bei keinem Vollstornorecht nur noch die letzt eingegebene Position zu

X4.031
=======
+ TCPIP Fernbedienungsport (für Terminalserver) Reg:  Kommunikation\TCPIP -> Zeichenkette PORT und hier die Portnummer (5590 ist Default)

X4.03
=======
+ POS-Hardwareassistent zum schnellen Einrichten des POS Arbeitsplatzes
+ Mitarbeiter PIN zum Schnellen Anmelden
+ Retourenbelegdruck automatisch aus der Kasse heraus, wenn Retouren angenommen wurden
/ Gutscheindruck erst nach dem BON Druck

X4.022
=======
+ Maskeneditor erweitert, dieser kann nun in der X4 Ribbonbar neue Karteikarten anlegen, neue Toolbars und auch neue Toolbuttons (jeweils rechte Maustaste)
+ automatischer Wortumbruch Regel und lokale Einstellung nun optimiert. Regel gilt Systemweit oder es kann unter Einstellungen masken dies lokal aktiviert werden
+ AFS-POS Kundendisplay nun ansteuerbar
+ AFS-Pos Display App nun ansteuerbar
+ AFS OPOS Displaytreiber nun ansteuerbar
+ Regel 73 wurde nun von V14 in X4 übernommen
+ Skontosonderfunktionen unterstützten nun auch "nicht Skontofähigkeit" von Artikel (EXTERNAL$ ....)
- Textbausteine einfügen und Co bei RTF Feldern verbessert
/ bei zugeklappter Ribbonleiste das Verhalten verbessert
- Kontoauszug aus Fremdprogrammen verbessert
/ Kassenschubladenansteuerung, wieder wie vorher, falls kein öffnungscode bekannt ist, kann diese wieder über einen kleinen Druck geöffnet werden
- unter Windows 8.1 hängte sich die Posteneingabe auf, wenn die erste Position ein Text war und die Vorschau gestartet wurde




X4.02
=======
- OpenSSL Bug (siehe Heise) gefixt mit aktuellen DLLs
+ Ribbonbar überarbeitet, nun auch für kleine Auflösungen zu klappbar:
+ Tabellendesginer reagiert nun wieder auf Tastendrucken (mehrfach)
+ Übergabe AFS-Banking zeigt nun immer eine Zusammenfassung vor der Bankübergabe an
- RTF Felder hatten manchmal ein Problem, das Sie den Datensatz auf EDIt setzen wollten aber nicht konnten
+ Variantenunterstützt bei Teillieferungsfunktion und MDE Einlesung
- Refreshs auf dem Startbildschirm nun verbessert
- Refreshs im CRM nun ok, d.h. Fensterwechsel behält die Ansicht des Ansprechpartners, des Kontakts, usw
+ Kassenhardwareansteuerung nun auch direkt möglich
+ Schubladenöffnen nun ohne Druck möglich, wenn kein Öffner am USB Drucker ist
- Teillieferungen nimmt nun auch Eingaben >100 an
- CRM Verbessert (Mitarbeiter und Vertreterzuweisungen waren nicht sichtbar)
- Seriennummernanzeige im Vorgang scrollt nun mit
- Seriennummern Mehrlager Stornierungen usw. Lagerzuordnungsbug behoben
- Shopimport fragt bei E-Mail nun auch die Art ab (Problem bei gelöschten Adressen)
+ Auswertungsmenü neu Aufgebaut
+ Seriennummernsuche wurde nun auch in das Artikelstammmenü eingebaut
+ Variantenbearbeitung wurde stark erweitert. mit Matrixberbeitung zur schnellen Erfassung
+ Variantenassisten kann nun bis zu 5 Eigenschaften
+ einfach Artikelbearbeitung + Variantenbearbeitung hat nun neue Funktionen
+ variantenmatrixerfassung in Vorgängen via Popupmenü unter neuen Position



X4.01
======
+ Unterstützung für Kundenkartenleser (z.B. RFID) in der Kasse
+ SMS Sendungsverfolgung senden
- Kasse verbessert (bearbeiten von Kunden und Artikel) aus der Kasse heraus
- Hauptfensteroptimierungen (Anpassungen für kleinere Bildschirme)



X4.00
======
+ UNICODE Unterstützung (z.B. Shopimport)
+ neuer Formulardesigner (DTP und QR4)
+ Mehrsprachigkeit in Zahlungsarten eingefügt
+ Anpassungen an das aktuelle Umsatzsteuergesetz. Änderungen der Vorgangsarten:
  / Gutschirft wird zur Rechnungskorrektur
  / Wertgutschrift wird zur Gutschrift
+ SEPA Unterstützung Überweisung, Basislastschrift und Firmenlastschrift
+ IBAN und BIC Berechnung in den Stammdaten
+ IBAN und BIC Prüfer in den Stamdaten
+ Hinterlegung von 5 Mandantenkonten
+ Hinterlegung der Mandanten Gläubiger ID
+ einfache Mandatsverwaltung
+ große Mandatsverwaltung für SEPA wenn AFS-Banking installiert ist
+ Anbindung an AFS-Banking 2014
+ verbesserte Mehrwährungsfähigkeit (fester Faktor nach den Belegdruck)
+ Verbesserungen bei Artikelverkettungen mit Stücklisten

+ vieles mehr





AFS(R),AFS-Software(R),AFS-Manager(R),AFS-Kaufmann(R),AFS-Kasse(R),AFS-Buchhalter(R)
sind eingetragene Warenzeichen der Firma AFS-Software GmbH & Co.KG D-36251 Bad Hersfeld